#-
#:SmallSize 5000000
#:LargeSize 20000000
#:WorkSpace 50000000
#:MaxTermSize 300000
#:TermsInSmall 30000
off stats;
format 75;
auto s sM;
auto i iM;

s GS, GH, MT, MT2, MH, MH2;
cf Den, Denom, dirM, pol, polc, SUNF, SUND, SUNSum, SUNT;
cf SpinorU, SpinorUb, SpinorV, SpinorVb;
cf mom, fslash;

d 4;

AutoDeclare I Dir=4, iM, Lor=4,ind;

Tensor Tr(cyclic),Tp,f(antisymmetric),ff(rcyclic), d(symmetric);
Function TM,TT;
Symbols a,nf,NF,NA,cF,cA,[cF-cA/6];
Dimension NA;
AutoDeclare  I j,Glu=NA;
Dimension NF;
AutoDeclare I i,Col=NF;

v k;
s m;
f g,g1,g2,dummy;
v g6,g7;

v k1,k2,k3,k4,k5;

#define DoColor "0"

#include squareME.h


.global
*********************************************************
*    _                    _ _ _             _           *
*   / \   _ __ ___  _ __ | (_) |_ _   _  __| | ___  ___ *
*  / _ \ | '_ ` _ \| '_ \| | | __| | | |/ _` |/ _ \/ __|*
* / ___ \| | | | | | |_) | | | |_| |_| | (_| |  __/\__ \*
*/_/   \_\_| |_| |_| .__/|_|_|\__|\__,_|\__,_|\___||___/*
*                  |_|                                  *
*********************************************************
Local Diag1 =
-1*dirM(SpinorU(k1,0),Dir1)*dirM(SpinorVb(k2,0),Dir3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*1*i_*GS*dirM(g(iM,Lor8),Dir3,Dir1)*SUNT(Glu8,Col3,Col1)*i_*GH*d_(Col10,Col2)*dirM(g(iM),Dir2,Dir10)*i_*GS*dirM(g(iM,Lor9),Dir11,Dir4)*SUNT(Glu9,Col11,Col4)*-i_*Den(-k1-k2,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*i_*Den(k3+k5,MT2)*d_(Col11,Col10)*SUNSum(Col10,3)*dirM(fslash(k3+k5)+MT*g(iM),Dir10,Dir11);
Local Diag2 =
-1*dirM(SpinorU(k1,0),Dir1)*dirM(SpinorVb(k2,0),Dir3)*dirM(SpinorUb(k3,MT),Dir2)*dirM(SpinorV(k4,MT),Dir4)*1*i_*GS*dirM(g(iM,Lor8),Dir3,Dir1)*SUNT(Glu8,Col3,Col1)*i_*GH*d_(Col4,Col11)*dirM(g(iM),Dir11,Dir4)*i_*GS*dirM(g(iM,Lor9),Dir2,Dir10)*SUNT(Glu9,Col2,Col10)*-i_*Den(-k1-k2,0)*d_(Lor9,Lor8)*d_(Glu9,Glu8)*SUNSum(Glu8,8)*i_*Den(-k4-k5,MT2)*d_(Col11,Col10)*SUNSum(Col10,3)*dirM(fslash(-k4-k5)+MT*g(iM),Dir10,Dir11);

L Amp = +Diag1+Diag2;

#$lomax = 9;
#$dimax = 11;
#call squareME(Amp,M1);
 .sort
L Result = M1;
.sort

Format nospaces;
#write <me.qQ2tTH.txt> "%e",Result

ExtraSymbols,array,w;
Format O3;
*Print;
.sort

Format DOUBLEFORTRAN;
#optimize Result
#write <me.qQ2tTH.f> "      FUNCTION me_qQ2tTH(S, T, U, T14, T24, S34, MT, GS, NF)"
#write <me.qQ2tTH.f> "      REAL*8 S, T, U, T14, T24, S34, MT, GS, NF"
#write <me.qQ2tTH.f> "      REAL*8 me_qQ2tTH"
#write <me.qQ2tTH.f> "      REAL*8 w(`optimmaxvar_')"
#write <me.qQ2tTH.f> "%O"
#write <me.qQ2tTH.f> "      me_qQ2tTH = %e",Result(me_qQ2tTH)
#write <me.qQ2tTH.f> "      RETURN"
#write <me.qQ2tTH.f> "      END"
.sort

.end
